module MyGeneral where

import Parsec

{-
  Die Typdeklaration von run:
  parse :: GenParser a () b -> [Char] -> [a] -> Either ParseError b
 -}
run :: Show a => Parser a -> String -> IO()
run p input
    = case (parse p "" input) of
      Left err -> do {
		      putStr "Error: parse error at"
		     ; print err
		     }
      Right x  -> print x

